Subject: devel-digest V2 #183
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Saturday, May 29 1999          Volume 02 : Number 183

In this issue:

    News instead of mail
    Alignment trap statistics
    Re: DM Build 15 - pass 2
    Re: DM Build 15 - pass 2
    Re: News instead of mail
    Re: News instead of mail
    Re: THERE IS NO NEW IMAGE
    Re: THERE IS NO NEW IMAGE

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Fri, 28 May 1999 02:18:50 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: News instead of mail

Jim Pick wrote:
> Yeah.  I don't like newsgroups either.  I'm subscribed to hundreds of
> mailing lists - I don't touch news normally.

If I may make a suggestion:
 $ export NNTPSERVER=news.netwinder.org
then either
 $ lynx news:netwinder.devel
or
 $ tin -r
or one of the many other news readers.

Doesn't solve the firewall problem though.

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 05:40:16 -0700
From: Brian Bray <[email-masked]>
Subject: Alignment trap statistics

I am doing an update of the "Structure Alignment FAQ" and I could use
some statistics on alignment traps from "typical use".  If you want to
help, please take a couple minutes to reply to this message.  Please
send your replies directly to me and I'll summarize the results in the
FAQ.

What I need to know is:

1)  Which disk image version you are running.
2)  Whether you are running X windows.
3)  The result of "cat /proc/cpuinfo"
4)  The result of "procinfo"

Thanks in advance.

- -Brian
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 09:11:21 -0400 (EDT)
From: "Rod m. Stewart" <[email-masked]>
Subject: Re: DM Build 15 - pass 2

On Thu, 27 May 1999, Andrew E. Mileski wrote:

>   - Anything using an event handler in libXt (most X apps) faults
>     [I suspect a compiler (binutils?) bug that went away in gcc but is
>      back again in egcs.]

I assume here you mean at run time and not compile time.  Are you patching
XFree86-3.3.3.1/xc/lib/Xt/Intrinsic.h (around line 2059).  I had a lot of
trouble without it..  If not, how to you compile X?

>   - PAM authentication is entirely broken (I hope pass 2 will fix this)
>     If you play with my stuff, you should substitute bash for mgetty or
>     you may not be able to login.

Broken how?  

Everytime you log in (at console, as root) does it force you to change
your password?  Does it say the user's password has expired?

If so set your time (clock -w).  Or remove the expiry info for
/etc/shadow.

This stems from the fact that the date:  Dec 31, 1969 does not exists :)

PAM doesn't seem to work properly without shadow passwords.  Or at least
it didn't in the past for me, and I've not tried it since as I always run
with shadow passwords.

>   - I've not yet managed to rebuild every single RPM, so some are
>     not of the same generation.

> I built a versioned glibc 2.1.1-7 RPM; don't use it, as it was only a
> test and everything else requires an unversioned glibc.  Either Scott
> or myself will be producing a "nw" tagged RPM shortly.

One little note on rpms people modify.  When you put your tag in the
release name please do it as follows:
	glibc-2.1.1-6.src.rpm
would become:
	glibc-2.1.1-6.nw1.src.rpm
		     ^^^^
Format the release in the following manner:
	Release: 6.nw1
put a period "." between the original release and your suffix.  This way
if your patches get merged into the mainline at some point, and the
release number is all that changes, it will be possible to do an upgrade
without much trouble.

If you do not you will have a release number of "6nw1" which is greater
then "6.nw1" or "7".

> Don't play in my minefield if you don't want to lose a few limbs.

The minefield is fun... although I prefer my own :)

> P.S.  My S/RPM web pages are huge, and updated every 4 hours.

Yes, I noticed that the hard way  a while ago...  :)
Can you put the following in the directories:
	du -scx * |sort -rn > du-scx

- -Rms

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 13:16:36 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: DM Build 15 - pass 2

> >   - Anything using an event handler in libXt (most X apps) faults
> >     [I suspect a compiler (binutils?) bug that went away in gcc but is
> >      back again in egcs.]
> 
> I assume here you mean at run time and not compile time.  Are you patching
> XFree86-3.3.3.1/xc/lib/Xt/Intrinsic.h (around line 2059).  I had a lot of
> trouble without it..  If not, how to you compile X?

At run time.  I've had some but 

> 
> >   - PAM authentication is entirely broken (I hope pass 2 will fix this)
> >     If you play with my stuff, you should substitute bash for mgetty or
> >     you may not be able to login.
> 
> Broken how?

Can't log in for starters!  When I attempt to set a password I get
 "passwd: Module is unknown"

> Format the release in the following manner:
>         Release: 6.nw1
> put a period "." between the original release and your suffix.  This way
> if your patches get merged into the mainline at some point, and the
> release number is all that changes, it will be possible to do an upgrade
> without much trouble.

Red Hat suggested we just append "nw1" to the version number, so that's
what I'm doing.

> If you do not you will have a release number of "6nw1" which is greater
> then "6.nw1" or "7".

"6nw1" > "6.nw1" but "6nw1" < "7"

Check out rpmvercmp() in rpm-3.0.1/lib/misc.c (which I'm using in
another utility I wrote to list old and new s/rpms in a directory).

> > P.S.  My S/RPM web pages are huge, and updated every 4 hours.
> 
> Yes, I noticed that the hard way  a while ago...  :)
> Can you put the following in the directories:
>         du -scx * |sort -rn > du-scx

Curious...why?

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 18:16:16 +0100 (GMT)
From: Alex Holden <[email-masked]>
Subject: Re: News instead of mail

On Fri, 28 May 1999, Andrew E. Mileski wrote:
>  $ export NNTPSERVER=news.netwinder.org
> then either
>  $ lynx news:netwinder.devel
> or
>  $ tin -r
> or one of the many other news readers.

That's no use if you want to log on, grab the latest messages, and log
straight back off again to save running up a huge phone bill. I've used
Leafnode in the past, but it's a pain compared to fetchmail.

- --------------- Linux- the choice of a GNU generation. --------------
: Alex Holden (M1CJD)- Caver, Programmer, Land Rover nut, Radio Ham :
- -------------------- http://www.linuxhacker.org/ --------------------

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 13:30:01 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: News instead of mail

Alex Holden wrote:
> That's no use if you want to log on, grab the latest messages, and log
> straight back off again to save running up a huge phone bill. I've used
> Leafnode in the past, but it's a pain compared to fetchmail.

Then use the "suck" package.  It was designed to do exactly that.

- --
Andrew E. Mileski - Software Engineer [OS Team Leader]
Rebel.com  http://www.rebel.com/
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 14:07:01 -0400 (EDT)
From: Nicolas Pitre <[email-masked]>
Subject: Re: THERE IS NO NEW IMAGE

On 27 May 1999, Jim Pick wrote:

> Russell King <[email-masked]> writes:
> 
> > Ralph Siemsen writes:
> > > While I've got your attention, please start using the newsgroups.  The
> > > mailing lists will be terminated soon.  See the newly updated web pages for
> > > more details.
> > 
> > Hey!  Not fair!  Some of us don't want to use news.  Please continue the
> > mailing lists.
> 
> Yeah.  I don't like newsgroups either.  I'm subscribed to hundreds of
> mailing lists - I don't touch news normally.
> 
> I like having a local copy of the lists for my own offline usage.
> With the news server thing - I'll have to mess around to try to figure
> out how to archive it.  I'll bet Gnus can do it - but you are forcing
> me to read the manual.  Ick.  It might not be worth the bother -
> because I bet all the traffic is going to be killed off.

Maybe someone else could offer some ressources to host the current mailing
lists for those among us that are too lazy and don't like newsgroups so
much... and gateway messages between the list and the news server...

Anyway if there is still enough stuborn people prefering a mailing list
then there will be someone out there who will start another one sooner or
later...

Nicolas Pitre, B. ing.
[email-masked]

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Fri, 28 May 1999 18:53:37 +0000
From: [email-masked]
Subject: Re: THERE IS NO NEW IMAGE

Hi,

> much... and gateway messages between the list and the news server...
> 
> Anyway if there is still enough stuborn people prefering a mailing list
> then there will be someone out there who will start another one sooner or
> later...
            ....[snip]....
> ---
> This message processed by the Netwinder.Org mail2news gateway.

Allow me to point out the above line... the reverse also works so
messages from the list end up in the newsgroups. (In fact, that's how I
got this one).
If you want to be resubscribed then send [email-masked] a
subscribe request.

If you know of someone who would like to host the mailing lists, let me
know. I'll happily gate news to/from the lists and we can have the best
of both worlds.

Regards,
- -- 
     \|/
    (o o)         Mark Knox
  ^  \ /  ^         Software Engineer
// \\ v // \\         Rebel.com Inc.   http://www.rebel.com
    ( . )
 ----m-m----------------------------------------------------------

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #183
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.